Troubleshooting: Error when trying to install update

You get a notice that an update is available, but when you try to update you get an error that includes the following error code:

PCLZIP_ERR_BAD_FORMAT (-10): Invalid archive structure

This error occurs when the PHP cURL extension has not been installed on your server by your hosting provider. This update error will occur for any WordPress plugin or theme update from independent developers, so it's important to ask your hosting provider to install the PHP cURL extension. 

As of Beaver Bulider 2.2.2.6, you'll see a warning at Settings > Beaver Builder on the License tab when cURL is not installed, as shown in the following screenshot.